> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-sv-bsv/bsv_getindexinfo.md).

# getindexinfo - Bitcoin SV

Example code for the getindexinfo json-rpc method. Сomplete guide on how to use getindexinfo json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`index_name` - string, optional

Filter results for an index with a specific name.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "getindexinfo",
"params": ["default"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": {}
}
```
